Subject: [manet] Propose update RFC2501

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 4 Jul 2012 22:11:12 +0200

Hi All,

I want to propose draft-ietf work to be done on update the RFC2501,
which I don't mind doing, on the following issues:

1- to include all active MANET routing RFCs as describing its network
characteristics and its network context applicability, as mentioned by
section-6.
2- to include the RFC5444 characteristics, or benefits to MANET performance.
3- to include NHDP RFC6130.
4- IPv6 considerations
5- Add more information in characteristic section on issue of
reliability and scalability.

RFC2501> 3. Characteristics of MANETs
MANETs have several salient characteristics:
AB>Add>    5) issue of variable E2E delay and node disconnecting from MANET.
AB> suggest> to consider LLN

2501> 5. IP-Layer Mobile Routing
AB> interfaces as physical layer technology, what about interfaces as
logical? in some other parts we read wireless interface

2501> 5>Future interoperability may be achieved using mechanisms other than
mobile IP.
AB> Are we there, could we answer to add some?

2501>5>Supporting these features appears only to require identifying
host and router interfaces with IP addresses, identifying a router
with a separate Router ID, and permitting routers to have multiple
wired and wireless interfaces.
AB> replace "host and router" with " router" as it was done in DYMO and OLSRv2

2501>  4) Proactive operation: The flip-side of demand-based operation.
AB> not clear

2501> Section 6.7,   Duplex link and bidirectional link
AB> why we use *duplex* with *link*, duplex is related to the
interface system more than the link, so I recommend only using
*bidirectional-link* and replace duplex-link.

2501> The following is a list of quantitative metrics that can be used to
assess the performance of any routing protocol.
AB> add examples of new metric used in industry or by active manet protocols

2501> 7. Security Considerations
AB> Needs to be amended to consider new techniques

The purpose of the proposed update, is first because RFC2501 is a
reference to many new RFCs and that updates directs progress designs.
Please note that I will not do this work until most active participant
agree, thanking you,

Best Regards
Abdussalam

+++++++++++++++++++++++++++++++++++++++++++++++++++++
On 6/21/12, Charles E. Perkins <[email-masked]> wrote:
>
> Hello Abdussalam,
>
> I didn't see what part of RFC 2501 needed to be revised.
> Do you have a specific proposal?  I think that, before you
> could expect any discussion on revising that document,
> you would have to point out what part or parts need
> work.
>
> Regards,
> Charlie P.
>
> On 6/21/2012 9:10 AM, Abdussalam Baryun wrote:
>>> Could we Update RFC2501?
>> I see that RFC2501 some how defines MANET technologies, which will be
>> a good reference in the draft I am writting of L2 subnets, but maybe
>> RFC2501 is enough for the protocols, and no need for a new draft.
>> However, that will depend on the WG discussion and decision :)
>>
>> I got no answer of the question so far, therefore, I will propose it
>> to be discussed in the next meeting IETF 84.
>>
>> AB
>> =====================================================
>> On 6/6/12, Abdussalam Baryun<[email-masked]>  wrote:
>>> Hi Folks,
>>>
>>> the RFC2501 is the best RFC I read and I like it because it is easy to
>>> read, understandable, and covers solid issues of MANET. I hope the
>>> authors give us a feedback if they want to make new one as Version 2.
>>>
>>> I see that it is old (1999), and it may be interesting to update it
>>> some how, I hope the authors can update its issues and evaluation, now
>>> we got new RFCs and industries have new needs than 90s, it does not
>>> cover different devices constraints as sensors and LLNs, and IPv6,
>>> 6LoWPAN, furthermore, some old MANET routings RFC3561, RFC3626 are
>>> getting renew versions.
>>>
>>> As I can see OLSRv2 and AODVv2 are going in progress, why we don't try
>>> to update RFC2501 as well, it will only take few days or a month, to
>>> draft and submit so why leave it old-documents with old
>>> considerations? Please advise,
>>>
>>> Abdussalam Baryun
>>> University of Glamorgan, UK.
>>> =========================================================
>>>
>> _______________________________________________
>> manet mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/manet
>>
>
>
> --
> Regards,
> Charlie P.
>
>

---

From: Ulrich Herberg <[email-masked]>
Date: Thu, 5 Jul 2012 17:21:06 -0700

Abdussalam,

I don't see the need for updating RFC2501. I prefer to focus on completing the charter items.

Best
Ulrich

---

From: Don Sturek <[email-masked]>
Date: Thu, 05 Jul 2012 17:28:26 -0700

+1

I also would like the group to focus on completing the existing charter
items.

Don

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 6 Jul 2012 06:37:18 +0200

Hi Ulrich and Don,

> I prefer to focus on completing the charter items.
That is the reason for updating RFCs in all WGs, is to be focused on
their charter.

I am trying to be focused on manet-charter, I-Ds, and RFCs related to
MANET. My I-Ds I am working on need some references to be based on and
I need these references to be UP to Date. Please note that IMHO
RFC2501 is not Up to Date, for the reasons I presented, so do you
think it was not correct.

I see that RFC2501 is issued in 1999, missing many changes in the
Internet and in MANET. Its update will not take time, its only an
informational document. My intention is not to argue the issue, just
want to understand the WG decision in updating its old works that are
not consistent with others. Therefore, I will request a decision from
the WG so we can go forward.

I thank you for your reply and comments,

Abdussalam Baryun
=====================

---

From: Thomas Heide Clausen <[email-masked]>
Date: Fri, 6 Jul 2012 07:29:51 +0200

I fully agree with Ulrich and Don here.

I went back to read RFC2501, and while I am sure that one could find a nit or two to fix if *really* trying to, I believe that doing so would be a pointless use of the WGs resources: the document is fine as a reference, is an informational document, and updating it would contribute absolutely nothing to the group making progress on its protocol work - which is (always) the priority.

Thomas

---

From: Teco Boot <[email-masked]>
Date: Fri, 6 Jul 2012 08:16:38 +0200

+1.

I am completely open to _new work_, e.g. descriptions on MANET deployments, potential shortcomings. From there, we can work on enhancements.

Teco

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 23 Jul 2012 07:35:03 +0200

Dear Scott and Joseph,
The authors of RFC2501

I would need your feedback if possible on the below message and the
proposal. Your input comment will help in the discussion and the
future ideas/direction. Thanking you,

Regards
Abdussalam Baryun
===============

To: manet <manet at ietf.org>
Subject: [manet] Propose update RFC2501
From: Abdussalam Baryun <abdussalambaryun at gmail.com>
Date: Wed, 4 Jul 2012 22:11:12 +0200

Hi All,

Best Regards
Abdussalam

+++++++++++++++++++++++++++++++++++++++++++++++++++++
On 6/21/12, Charles E. Perkins <charliep at computer.org> wrote:
>> On 6/6/12, Abdussalam Baryun<abdussalambaryun at gmail.com>  wrote:
>>> Hi Folks,
>>>
>> manet at ietf.org